#include <bits/stdc++.h>
using namespace std;
string s,t;
int main() {
    cin >> s >> t;
    if (t.size()==1 and t[1]=='a'){
        for (int i=0;i<s.size();i++){
            if (s[i]=='a'){
                s[i]='*';
            }
        }
    }
    cout << s << endl;
    return 0;
}